## How to contribute

Thank you for considering contributing to htmldate!

Here are some important resources:

- [List of currently open issues](https://github.com/adbar/htmldate/issues) (no pretention to exhaustivity!)
- [How to Contribute to Open Source](https://opensource.guide/how-to-contribute/)

There are many ways to contribute, you could:

- Improve the documentation
- Find bugs and submit bug reports
- Submit feature requests
- Write tutorials or blog posts
- Write code

## Installing and Running Pre-commit

### Introduction

Pre-commit is a tool that helps maintain a consistent code style and quality in our project by running a set of hooks before each commit. These hooks perform checks such as code formatting, linting, and ensuring compliance with project-specific guidelines.

### Installation and Running

To install and set up pre-commit in your development environment, follow these steps:

1. Run `pip install pre-commit` to your terminal to install pre-commit using pip.
2. Navigate to your project directory and run `pre-commit install` to initialize pre-commit hooks.
3. Run it manually on your changes using `git ls-files -- 'htmldate/*.py' | xargs pre-commit run --files`

## Submitting changes

Please send a [GitHub Pull Request to htmldate](https://github.com/adbar/htmldate/pull/new/master) with a clear list of what you've done (read more about [pull requests](http://help.github.com/pull-requests/)).

**Working on your first Pull Request?** You can learn how from this series: [How to Contribute to an Open Source Project on GitHub](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github)

For further questions you can contact me on [GitHub issues](https://github.com/adbar/htmldate/issues), [Twitter](https://twitter.com/adbarbaresi) or by [E-Mail](http://adrien.barbaresi.eu/contact.html)

Thanks,

Adrien
